## tp-hard-hp 0.13

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2014 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build:configure build-up-stamp
build-up-stamp:
	touch build-up-stamp


install:build install-up-stamp
install-up-stamp:
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-hard-hp (0.13) wheezy; urgency=low

  * Update Makefile to version 0.24
  * Partial update debian/rules to version 0.24
  * Update debian/control file
  * Update debian/copyright

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 06 Feb 2014 16:20:07 +0000

tp-hard-hp (0.12) updates; urgency=low

  * Drop depends on hpadu for packages tp-hard-msa20, tp-hard-sa6400,
    tp-hard-sa6i because hpacucli gained the capability for diagnostic
    report.
  * Update copyright file with DEP4 format.
  * Update Makefile to version 0.19~rc1

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 05 Apr 2012 12:30:18 +0100

tp-hard-hp (0.11) updates; urgency=low

  * Added depend on firmware-linux for tp-hard-dl320g3
  * Added depend on hp-ilo-rom for tp-hard-dl360g4p

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 28 Jun 2011 20:03:40 +0100

tp-hard-hp (0.10) updates; urgency=low

  * Added depend on hponcfg and hp-ilo-rom for tp-hard-dl320g3.
  * Added depend on hp-ilo-rom for tp-hard-dl360g4.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 24 Jun 2011 20:51:58 +0100

tp-hard-hp (0.9) updates; urgency=low

  *  Dropped recommends on ia32-libs for package tp-hard-dl360g4p.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 16 May 2011 19:31:24 +0100

tp-hard-hp (0.8) updates; urgency=low

  * Added depend on xsltproc.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 06 May 2011 17:41:51 +0100

tp-hard-hp (0.7) updates; urgency=low

  * Added depend on hponcfg for tp-hard-dl360g4p and tp-hard-dl360g4.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 06 May 2011 17:13:45 +0100

tp-hard-hp (0.6) updates; urgency=low

  * Updated Makefile to version v0.17
  * Added recommends on lib32gcc1, because hp-health lacks this depend on
    amd64 archs.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 19 Apr 2011 15:38:32 +0100

tp-hard-hp (0.5) updates; urgency=low

  * add depends on arrayprobe to the tasks: tp-hard-msa20, tp-hard-sa6400,
    tp-hard-sa6i

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 06 Jul 2010 20:03:02 +0100

tp-hard-hp (0.4) updates; urgency=low

  * tp-health in lenny replaces hpasm

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Jun 2010 18:32:59 +0100

tp-hard-hp (0.3) updates; urgency=low

  * create tp-hard-dl380

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 16 May 2007 17:58:39 +0100

tp-hard-hp (0.2) updates; urgency=low

  * create tp-hard-dl360g4p

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 16 May 2007 01:55:43 +0100

tp-hard-hp (0.1) updates; urgency=low

  * create tp-hard-dl385
  * changed arch from any to all
  * default distribution changed from sarge to etch
  * updated Makefile

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 12 Apr 2007 20:58:36 +0100

tp-hard-hp (0.0) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 30 May 2006 22:30:14 +0100

=== debian/control ===
Source: tp-hard-hp
Section: contrib/dsi
Priority: extra
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: tp-hard-msa20
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, hpacucli,
 hp-msa20-rom, 
Recommends: lib32gcc1, arrayprobe,
Suggests: hp-rom-doc
Description: represents the presence of a MSA20
 Can be used to tell the capability of the hardware and to install
 important packages to use and manage the MSA20.

Package: tp-hard-dl385
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm| hp-health, 
Recommends: lib32gcc1
Suggests: hp-rom-doc, hponcfg, hp-dl385a05-rom, xsltproc,
Description: represents the Proliant DL-385
 Use it to tell that model of this machine is a HP Proliant DL-385.
 You can automatically install the HP software to manage the machine,
 update the firmware and to avoid install incompatible software or
 firmware.

Package: tp-hard-dl380
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, 
Recommends: lib32gcc1
Suggests: hp-rom-doc, hponcfg, xsltproc,
Description: represents the Proliant DL-380
 Use it to tell that model of this machine is a HP Proliant DL-380.
 You can automatically install the HP software to manage the machine,
 update the firmware and to avoid install incompatible software or
 firmware.

Package: tp-hard-dl360g4p
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health,
 hp-dl360g4pp54-rom, hponcfg, xsltproc, hp-ilo-rom,
Recommends: lib32gcc1
Suggests: hp-rom-doc,
Description: represents the Proliant DL-360 G4p P54
 Use it to tell that model of this machine is a HP Proliant DL-360 G4p
 P54.  You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

Package: tp-hard-dl360g4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health,
 hp-dl360g4p52-rom, hponcfg, xsltproc, hp-ilo-rom,
Recommends: lib32gcc1
Suggests: hp-rom-doc, 
Description: represents the Proliant DL-360 G4 P52
 Use it to tell that model of this machine is a HP Proliant DL-360 G4
 P52.  You can automatically install the HP software to manage the
 machine, update the firmware and for avoiding to install incompatible
 software or firmware.

Package: tp-hard-dl320g3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health,
 hponcfg, xsltproc, hp-ilo-rom, firmware-linux
Recommends: lib32gcc1, 
Suggests: hp-rom-doc,
Description: represents the Proliant DL-320 G3
 Use it to tell that model of this machine is a HP Proliant DL-320 G3.
 You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

Package: tp-hard-sa6400
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, hpacucli,
 hp-sa6400-rom, 
Recommends: lib32gcc1, arrayprobe,
Suggests: hp-rom-doc, hponcfg, xsltproc,
Description: represents the SCSI controller Smart Array 640x
 Use it to tell that you have installed a SCSI contoller Smart Array
 6400.  You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

Package: tp-hard-sa6i
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, hpacucli,
 hp-sa6i-rom, 
Recommends: lib32gcc1, arrayprobe,
Suggests: hp-rom-doc, hponcfg, xsltproc,
Description: represents the SCSI controller Smart Array 6i
 Use it to tell that you have installed a SCSI contoller Smart Array
 6i.  You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
DISTFILES=$(DISTFILE)
endif




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	#$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Upload the packages and the distribution files into the rigth places
upload: 
	make -f ../upload upload


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(CURDIR)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
